Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
vex-export
cURL
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/vex-export \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "component_type": "COMPONENT_TYPE_UNSPECIFIED",
    "export_parameters": {
      "package_version_uuids": [
        {}
      ],
      "project_name": "<string>",
      "project_uuid": "<string>",
      "repository_version": "<string>"
    },
    "format": "FORMAT_UNSPECIFIED",
    "kind": "SBOM_KIND_UNSPECIFIED"
  },
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "component_type": "COMPONENT_TYPE_UNSPECIFIED",
    "data": "<string>",
    "export_parameters": {
      "package_version_uuids": [
        {}
      ],
      "project_name": "<string>",
      "project_uuid": "<string>",
      "repository_version": "<string>"
    },
    "format": "FORMAT_UNSPECIFIED",
    "kind": "SBOM_KIND_UNSPECIFIED"
  },
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

The request to the VEX export API. It consists of the request resource kind. The UUID is the uuid of the resource. The output is the format to export the VEX. The VEX kind is the kind of the VEX requested by the user. Currently, we support only CycloneDx.

meta
object

Common fields for all Endor Labs resources.

spec
object

The internal specification of the object.

tenant_meta
SBOM are associated with a tenant and tenant information must be provided. · object

SBOM are associated with a tenant and tenant information must be provided.

Response

A successful response.

The request to the VEX export API. It consists of the request resource kind. The UUID is the uuid of the resource. The output is the format to export the VEX. The VEX kind is the kind of the VEX requested by the user. Currently, we support only CycloneDx.

meta
object

Common fields for all Endor Labs resources.

spec
object

The internal specification of the object.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the VEX.